
Redmine - Patch #38220

Update Redcarpet to 3.6

2023-01-30 00:37 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.1.0   

Description

https://rubygems.org/gems/redcarpet

Related issues:

Related to Redmine - Feature #38099: Add Ruby 3.2 support Closed

Related to Redmine - Defect #38118: Ruby 3.2: Markdown formatter warns "undef... Closed

Associated revisions

Revision 22082 - 2023-01-30 15:52 - Go MAEDA

Update Redcarpet to 3.6 (#38220).

History

#1 - 2023-01-30 00:40 - Go MAEDA

Redcarpet 3.6.0 fixes the compatibility issue with Ruby 3.2 reported as #38118.

#2 - 2023-01-30 00:40 - Go MAEDA

- Related to Feature #38099: Add Ruby 3.2 support added

#3 - 2023-01-30 15:53 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Update Redcarpet to 3.6 in r22082.

#4 - 2023-03-27 15:18 - Go MAEDA

- Related to Defect #38118: Ruby 3.2: Markdown formatter warns "undefining the allocator of T_DATA class Redcarpet::Markdown" added
